## libspatialaudio 0.3.0%2Bgit20180730%2Bdfsg1

=== debian/changelog ===
libspatialaudio (0.3.0+git20180730+dfsg1-deepin1+rb1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 11 Nov 2022 17:59:59 +0800

libspatialaudio (0.3.0+git20180730+dfsg1-2) unstable; urgency=medium

  * debian/control:
    - Fix Homepage.
    - Set Rules-Requires-Root: no.
    - Bump Standards-Version.
  * debian/: Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Jan 2019 15:07:54 +0100

libspatialaudio (0.3.0+git20180730+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #905060)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Jul 2018 05:31:46 +0200

## libspatialaudio 0.3.0+git20180730+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

set(PACKAGE_VERSION_MAJOR "0")
set(PACKAGE_VERSION_MINOR "3")
set(PACKAGE_VERSION_PATCH "0")
project(spatialaudio VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}")

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(BUILD_SHARED_LIBS "Build shared library" ON)
option(BUILD_STATIC_LIBS "Build static library" ON)

include(GNUInstallDirs)

list(APPEND headers
    include/AmbisonicBase.h
    include/AmbisonicDecoderPresets.h
    include/AmbisonicProcessor.h
    include/AmbisonicSpeaker.h
    include/AmbisonicBinauralizer.h
    include/AmbisonicEncoderDist.h
    include/AmbisonicPsychoacousticFilters.h
    include/AmbisonicTypesDefinesCommons.h
    include/SpeakersBinauralizer.h
    include/AmbisonicCommons.h
    include/AmbisonicEncoder.h
    include/Ambisonics.h
    include/AmbisonicZoomer.h
    include/mit_hrtf_filter.h
    include/AmbisonicDecoder.h
    include/AmbisonicMicrophone.h
    include/AmbisonicSource.h
    include/BFormat.h
    include/mit_hrtf_lib.h
    include/hrtf/hrtf.h
    include/hrtf/mit_hrtf.h
    include/hrtf/sofa_hrtf.h
    include/normal/mit_hrtf_normal_44100.h
    include/normal/mit_hrtf_normal_48000.h
    include/normal/mit_hrtf_normal_88200.h
    include/normal/mit_hrtf_normal_96000.h
    source/kiss_fft/kiss_fftr.h
    source/kiss_fft/kiss_fft.h
)

list(APPEND sources
    source/AmbisonicEncoder.cpp
    source/AmbisonicMicrophone.cpp
    source/AmbisonicCommons.cpp
    source/mit_hrtf_lib.c
    source/AmbisonicProcessor.cpp
    source/AmbisonicDecoder.cpp
    source/AmbisonicBinauralizer.cpp
    source/AmbisonicSource.cpp
    source/hrtf/mit_hrtf.cpp
    source/hrtf/sofa_hrtf.cpp
    source/BFormat.cpp
    source/SpeakersBinauralizer.cpp
    source/kiss_fft/kiss_fftr.c
    source/kiss_fft/kiss_fft.c
    source/AmbisonicBase.cpp
    source/AmbisonicSpeaker.cpp
    source/AmbisonicEncoderDist.cpp
    source/AmbisonicZoomer.cpp
)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

find_package(MySofa QUIET)
set(HAVE_MYSOFA ${MYSOFA_FOUND})

include_directories(include include/hrtf source source/kiss_fft ${PROJECT_BINARY_DIR})

if(${MYSOFA_FOUND})
    include_directories(${MYSOFA_INCLUDE_DIRS})
endif(${MYSOFA_FOUND})

if(BUILD_STATIC_LIBS)
    add_library(spatialaudio-static STATIC ${sources})
    if(${MYSOFA_FOUND})
        target_link_libraries(spatialaudio-static ${MYSOFA_LIBRARIES})
    endif(${MYSOFA_FOUND})
    SET_TARGET_PROPERTIES(spatialaudio-static PROPERTIES OUTPUT_NAME spatialaudio CLEAN_DIRECT_OUTPUT 1 POSITION_INDEPENDENT_CODE ON)
    install(TARGETS spatialaudio-static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif(BUILD_STATIC_LIBS)

if(BUILD_SHARED_LIBS)
    add_library(spatialaudio-shared SHARED ${sources})
    if(${MYSOFA_FOUND})
        target_link_libraries(spatialaudio-shared ${MYSOFA_LIBRARIES})
    endif(${MYSOFA_FOUND})
    SET_TARGET_PROPERTIES(spatialaudio-shared PROPERTIES OUTPUT_NAME spatialaudio CLEAN_DIRECT_OUTPUT 1)
    set_property(TARGET spatialaudio-shared PROPERTY VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}")
    set_property(TARGET spatialaudio-shared PROPERTY SOVERSION ${PACKAGE_VERSION_MAJOR} )
    set_property(TARGET spatialaudio-shared PROPERTY C_VISIBILITY_PRESET hidden)
    install(TARGETS spatialaudio-shared LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif(BUILD_SHARED_LIBS)

option(HAVE_MIT_HRTF "Should MIT HRTF be built-in" ON)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/include/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

if(${HAVE_MYSOFA})
    set(MYSOFA_LIB "-L${MYSOFA_ROOT_DIR}/${CMAKE_INSTALL_LIBDIR} -lmysofa")
    set(MYSOFA_INCLUDE "-I${MYSOFA_ROOT_DIR}/include")
endif(${HAVE_MYSOFA})

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/spatialaudio.pc.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
    @ONLY
)

install(FILES ${headers} DESTINATION include/spatialaudio)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${PROJECT_BINARY_DIR}/config.h DESTINATION include/spatialaudio)

#Tarballs generation
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_SOURCE_IGNORE_FILES "/build*;/.git*;~$;${CPACK_SOURCE_IGNORE_FILES}")
include(CPack)

=== debian/changelog ===
libspatialaudio (0.3.0+git20180730+dfsg1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Use pkgconf
  * debian/patches: Fix configuring with cmake 4 (Closes: #1113204)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Sep 2025 21:32:30 +0200

libspatialaudio (0.3.0+git20180730+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062634

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 18:49:14 +0000

=== debian/control ===
Source: libspatialaudio
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 cmake,
 libmysofa-dev,
 pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/videolabs/libspatialaudio
Vcs-Git: https://salsa.debian.org/multimedia-team/libspatialaudio.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libspatialaudio
Rules-Requires-Root: no

Package: libspatialaudio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libspatialaudio0t64 (= ${binary:Version}),
 libmysofa-dev
Description: library for ambisonic encoding and decoding (development files)
 libspatialaudio is an open-source and cross-platform C++ library for Ambisonic
 encoding and decoding, filtering and binaural rendering. It is targeted to
 render High-Order Ambisonic (HOA) and VR/3D audio samples in multiple
 environments, from headphones to classic loudspeakers. Its binaural rendering
 can be used for classical 5.1/7.1 spatial channels as well as Ambisonics
 inputs.  It supports Higher Order Ambisonics (HOA) and ACN/SN3D Ambisonics
 audio streams following the Google spatial audio specification and the IETF
 codec Ambisonics specification.
 .
 The library allows you to encode, decode, rotate, zoom HOA Ambisonics audio
 streams up to the 3rd order. It can output to standard and custom loudspeakers
 arrays. To playback with headphones, the binauralizer applies an HRTF (either
 a SOFA file or the included MIT HRTF) to provide a spatial binaural rendering
 effect. The binauralization can also be used to render multichannels streams
 (5.1, 7.1...).
 .
 This package contains the development files.

Package: libspatialaudio0t64
Provides: ${t64:Provides}
Replaces: libspatialaudio0
Breaks: libspatialaudio0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: library for ambisonic encoding and decoding (runtime files)
 libspatialaudio is an open-source and cross-platform C++ library for Ambisonic
 encoding and decoding, filtering and binaural rendering. It is targeted to
 render High-Order Ambisonic (HOA) and VR/3D audio samples in multiple
 environments, from headphones to classic loudspeakers. Its binaural rendering
 can be used for classical 5.1/7.1 spatial channels as well as Ambisonics
 inputs.  It supports Higher Order Ambisonics (HOA) and ACN/SN3D Ambisonics
 audio streams following the Google spatial audio specification and the IETF
 codec Ambisonics specification.
 .
 The library allows you to encode, decode, rotate, zoom HOA Ambisonics audio
 streams up to the 3rd order. It can output to standard and custom loudspeakers
 arrays. To playback with headphones, the binauralizer applies an HRTF (either
 a SOFA file or the included MIT HRTF) to provide a spatial binaural rendering
 effect. The binauralization can also be used to render multichannels streams
 (5.1, 7.1...).
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DHAVE_MIT_HRTF=OFF

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// \
https://github.com/videolabs/libspatialaudio/releases \
  .*/spatialaudio-@ANY_VERSION@@ARCHIVE_EXT@

## libspatialaudio 0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.23)

project(spatialaudio VERSION 0.4.0)

# Options
option(BUILD_SHARED_LIBS "Build shared instead of static libraries" ON)
option(HAVE_MIT_HRTF "Should MIT HRTF be built-in" ON)

include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

# Dependencies
find_package(MySofa QUIET)

# Get API version from header
file(READ "include/SpatialaudioVersion.h" SPAUDIO_VER_HEADER)
foreach(VERPART "MAJOR" "MINOR" "PATCH")
    if(SPAUDIO_VER_HEADER MATCHES "#define SPATIALAUDIO_API_VERSION_${VERPART} ([0-9]+)")
        set("SPAUDIO_API_${VERPART}" ${CMAKE_MATCH_1})
    else()
        message(FATAL_ERROR "Unable to get SPATIALAUDIO_API_VERSION_${VERPART}")
    endif()
endforeach()

set(SPAUDIO_API "${SPAUDIO_API_MAJOR}.${SPAUDIO_API_MINOR}.${SPAUDIO_API_PATCH}")
message(STATUS
    "libspatialaudio API version ${SPAUDIO_API}")

set_property(DIRECTORY APPEND PROPERTY
    CMAKE_CONFIGURE_DEPENDS "include/SpatialaudioVersion.h")

# Spatialaudio library
add_library(spatialaudio)
add_library(Spatialaudio::spatialaudio ALIAS spatialaudio)
set_target_properties(spatialaudio
    PROPERTIES
        OUTPUT_NAME spatialaudio
        POSITION_INDEPENDENT_CODE ON
        VERSION "${SPAUDIO_API}"
        SOVERSION ${SPAUDIO_API_MAJOR}
        C_VISIBILITY_PRESET hidden
        CXX_VISIBILITY_PRESET hidden
)
target_compile_features(spatialaudio PUBLIC cxx_std_14)
target_sources(spatialaudio
    PRIVATE
        source/AmbisonicEncoder.cpp
        source/AmbisonicMicrophone.cpp
        source/AmbisonicCommons.cpp
        source/mit_hrtf/mit_hrtf_lib.c
        source/AmbisonicProcessor.cpp
        source/AmbisonicRotator.cpp
        source/AmbisonicDecoder.cpp
        source/AmbisonicBinauralizer.cpp
        source/AmbisonicSource.cpp
        source/AmbisonicShelfFilters.cpp
        source/AmbisonicOptimFilters.cpp
        source/hrtf/mit_hrtf.cpp
        source/hrtf/sofa_hrtf.cpp
        source/BFormat.cpp
        source/SpeakersBinauralizer.cpp
        source/kiss_fft/kiss_fftr.c
        source/kiss_fft/kiss_fft.c
        source/AmbisonicAllRAD.cpp
        source/AmbisonicBase.cpp
        source/AmbisonicSpeaker.cpp
        source/AmbisonicEncoderDist.cpp
        source/AmbisonicZoomer.cpp
        source/Decorrelator.cpp
        source/adm/DirectSpeakersGainCalc.cpp
        source/Renderer.cpp
        source/adm/AllocentricPannerGainCalc.cpp
        source/adm/AllocentricExtent.cpp
        source/adm/GainCalculator.cpp
        source/GainInterp.cpp
        source/PointSourcePannerGainCalc.cpp
        source/adm/PolarExtent.cpp
        source/RegionHandlers.cpp
        source/Screen.cpp
        source/ObjectPanner.cpp
        source/dsp/IIRFilter.cpp
        source/dsp/LinkwitzRileyIIR.cpp
        source/LoudspeakerLayouts.cpp

    PUBLIC
        FILE_SET HEADERS
        TYPE HEADERS
        BASE_DIRS
            include
            source
        FILES
            include/adm/Conversions.h
            include/adm/MappingRules.h
            include/adm/CartesianLoudspeakerLayouts.h
            include/adm/DirectSpeakersGainCalc.h
            include/RendererMetadata.h
            include/Renderer.h
            include/adm/AllocentricPannerGainCalc.h
            include/adm/AllocentricExtent.h
            include/AmbisonicAllRAD.h
            include/AmbisonicBase.h
            include/AmbisonicBinauralizer.h
            include/AmbisonicCommons.h
            include/AmbisonicDecoder.h
            include/AmbisonicEncoderDist.h
            include/AmbisonicEncoder.h
            include/AmbisonicMicrophone.h
            include/AmbisonicProcessor.h
            include/AmbisonicRotator.h
            include/Ambisonics.h
            include/AmbisonicShelfFilters.h
            include/AmbisonicOptimFilters.h
            include/AmbisonicSource.h
            include/AmbisonicSpeaker.h
            include/AmbisonicZoomer.h
            include/BFormat.h
            include/Coordinates.h
            include/Decorrelator.h
            include/adm/GainCalculator.h
            include/GainInterp.h
            include/hrtf/hrtf.h
            include/hrtf/mit_hrtf.h
            include/hrtf/sofa_hrtf.h
            include/LoudspeakerLayouts.h
            include/PointSourcePannerGainCalc.h
            include/adm/PolarExtent.h
            include/RegionHandlers.h
            include/Screen.h
            include/ScreenCommon.h
            include/SpeakersBinauralizer.h
            include/Tools.h
            include/ObjectPanner.h
            include/kiss_fft/kiss_fft.h
            include/kiss_fft/kiss_fftr.h
            include/dsp/IIRFilter.h
            include/dsp/LinkwitzRileyIIR.h
            include/SpatialaudioAPI.h
            include/SpatialaudioVersion.h
)

# Generate config header
set(SPATIALAUDIO_SUPPORTS_SOFA ${MYSOFA_FOUND})
set(SPATIALAUDIO_SUPPORTS_MIT_HRTF ${HAVE_MIT_HRTF})
if(NOT BUILD_SHARED_LIBS)
    set(SPATIALAUDIO_STATIC YES)
endif()

configure_file(
    "include/SpatialaudioConfig.h.in"
    "include/SpatialaudioConfig.h"
)

target_sources(spatialaudio
    PUBLIC
        FILE_SET generated_headers
        TYPE HEADERS
        BASE_DIRS $<TARGET_PROPERTY:BINARY_DIR>/include
        FILES
            ${CMAKE_CURRENT_BINARY_DIR}/include/SpatialaudioConfig.h
)

target_include_directories(spatialaudio
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
)
target_compile_definitions(spatialaudio
    PRIVATE
        SPATIALAUDIO_COMPILATION
)

if(MYSOFA_FOUND)
    message("Found mysofa!")
    set(MYSOFA_LIB "-L${MYSOFA_LIBRARY_DIRS} -lmysofa")
    set(MYSOFA_INCLUDE "-I${MYSOFA_INCLUDE_DIRS}")
    target_include_directories(spatialaudio
        PUBLIC ${MYSOFA_INCLUDE_DIRS})
    target_link_libraries(spatialaudio ${MYSOFA_LIBRARIES})
endif(MYSOFA_FOUND)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/spatialaudio.pc.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
    @ONLY
)

install(TARGETS spatialaudio
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    FILE_SET HEADERS
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/spatialaudio
    FILE_SET generated_headers
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/spatialaudio
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${PROJECT_BINARY_DIR}/config.h
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/spatialaudio)

enable_testing()
add_subdirectory(tests)

# Tarballs generation
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${PROJECT_VERSION}")
set(CPACK_SOURCE_GENERATOR "TBZ2")
list(APPEND CPACK_SOURCE_IGNORE_FILES
    "/build.*/"
    "/\\\\..+"
)
include(CPack)

=== tests/CMakeLists.txt ===
# Tests

function(spaudio_add_test name)
    add_executable(${name} "${name}.cpp")
    target_link_libraries(${name} PRIVATE spatialaudio)
    add_test(NAME ${name}
             COMMAND $<TARGET_FILE:${name}>)
    set_property(TEST ${name}
        PROPERTY
            ENVIRONMENT_MODIFICATION
            "PATH=path_list_append:$<TARGET_RUNTIME_DLL_DIRS:${name}>")
endfunction()

spaudio_add_test(TestInsideAngleRange)
spaudio_add_test(TestAmbisonicShelfFilters)
spaudio_add_test(TestAmbisonicDecoderPresets)
spaudio_add_test(TestRenderer)

=== debian/changelog ===
libspatialaudio (0.4-1) experimental; urgency=medium

  * New upstream version 0.4
  * debian/watch: Upgrade to version 5
  * SONAME bump: libspatialaudio0 -> libspatialaudio2
  * debian/: Build with meson
  * debian/patches: Remove no longer needed patches
  * debian/control: Drop RRR: no
  * debian/copyright: Update copyright for 0.4

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Dec 2025 18:54:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5),
- cmake,
+ meson,
+ ninja-build,
  libmysofa-dev,
  pkgconf
 Standards-Version: 4.7.2
 Homepage: https://github.com/videolabs/libspatialaudio
 Vcs-Git: https://salsa.debian.org/multimedia-team/libspatialaudio.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libspatialaudio
-Rules-Requires-Root: no
 
 Package: libspatialaudio-dev
 Section: libdevel
@@ -22,7 +21,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libspatialaudio0t64 (= ${binary:Version}),
+ libspatialaudio2 (= ${binary:Version}),
  libmysofa-dev
 Description: library for ambisonic encoding and decoding (development files)
  libspatialaudio is an open-source and cross-platform C++ library for Ambisonic
@@ -43,10 +42,7 @@
  .
  This package contains the development files.
 
-Package: libspatialaudio0t64
-Provides: ${t64:Provides}
-Replaces: libspatialaudio0
-Breaks: libspatialaudio0 (<< ${source:Version})
+Package: libspatialaudio2
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
Version: 5

Template: GitHub
Owner: videolabs
Project: libspatialaudio
